# eric5.E5Network.E5SslCertificatesInfoDialog

Module implementing a dialog to show SSL certificate infos.

### Global Attributes

None

### Classes

E5SslCertificatesInfoDialog | Class implementing a dialog to show SSL certificate infos.

### Functions

None

## E5SslCertificatesInfoDialog

Class implementing a dialog to show SSL certificate infos.

### Derived from

QDialog, Ui_E5SslCertificatesInfoDialog

### Class Attributes

None

### Class Methods

None

### Methods

E5SslCertificatesInfoDialog | Constructor

### Static Methods

None

#### E5SslCertificatesInfoDialog (Constructor)

E5SslCertificatesInfoDialog(certificateChain, parent=None)

Constructor

certificateChain
  SSL certificate chain (list of QSslCertificate)
parent
  reference to the parent widget (QWidget)

Up